#pragma once
#include "colorstatic.h"
#include "afxwin.h"


// CDlg_SummerOverHeating dialog

class CDlg_SummerOverHeating : public CDialog
{
	DECLARE_DYNAMIC(CDlg_SummerOverHeating)

public:
	CDlg_SummerOverHeating(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_SummerOverHeating();

// Dialog Data
	enum { IDD = IDD_SUMMEROVERHEATING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddStringsForSummerOverHeatingDlg();	
	afx_msg void ReadPreviousInputsFromSummerOverHeatingDlg();
	afx_msg void ReadInputsFromSummerOverHeatingDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_label1;
	CColorStatic m_label2;
	CColorStatic m_label3;
	CComboBox m_comboTMP;
	CComboBox m_comboTMPIntPartConstruction;
	CComboBox m_comboPartyWallConstruction;
	CComboBox m_comboIsVentUserDefined;
	CComboBox m_comboIsCrossVentOnMostFloors;
	CComboBox m_comboWindowVentilation;
	CComboBox m_comboCurtainsClosed;
	CComboBox m_comboBlindCurtainType;
	CEdit m_editTMP;
	CEdit m_editAirChangeRate;
	CEdit m_editFractCurtainsClosed;
	CEdit m_editSourceUserDefValues;
	CString str_comboTMP;
	CString str_editTMP;
	CString str_comboTMPIntPartConstruction;
	CString str_comboPartyWallConstruction;
	CString str_comboIsVentUserDefined;
	CString str_editAirChangeRate;
	CString str_comboIsCrossVentOnMostFloors;
	CString str_comboWindowVentilation;
	CString str_comboCurtainsClosed;
	CString str_editFractCurtainsClosed;
	CString str_comboBlindCurtainType;
	CString str_editSourceUserDefValues;
	afx_msg void OnCbnSelchangeCombo1Userdef();
	afx_msg void OnCbnSelchangeComboCurtainsclosed();
	afx_msg void OnEnChangeEditTmp();
	afx_msg void OnCbnSelchangeComboIntpartconst();
	afx_msg void OnCbnSelchangeComboPartywallconst();
	afx_msg void OnCbnSelchangeComboventuserdef();
	afx_msg void OnEnChangeEditacr();
	afx_msg void OnCbnSelchangeComboCrossvent();
	afx_msg void OnCbnSelchangeComboWindowventilation();
	afx_msg void OnEnChangeEditfractcurtainsclosed();
	afx_msg void OnCbnSelchangeComboBlindcurtaintype();
	afx_msg void OnEnChangeEditSourceruserdefinedvalues();

	virtual BOOL PreTranslateMessage(MSG* pMsg);
};


